Bug 1564833 - [abrt] free_work: kernel BUG at mm/vmalloc.c:1538! [NEEDINFO]
Summary: [abrt] free_work: kernel BUG at mm/vmalloc.c:1538!
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 28
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:7dab5daae93d319f78865ce59fb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-08 06:01 UTC by shirokuro005
Modified: 2018-11-03 06:16 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-29 15:13:12 UTC
Type: ---
jforbes: needinfo?


Attachments (Terms of Use)
File: dmesg (75.13 KB, text/plain)
2018-04-08 06:01 UTC, shirokuro005
no flags Details

Description shirokuro005 2018-04-08 06:01:14 UTC
Additional info:
reporter:       libreport-2.9.4
kernel BUG at mm/vmalloc.c:1538!
invalid opcode: 0000 [#1] SMP NOPTI
Modules linked in: amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm crc32c_intel drm r8169 mii target_core_mod
CPU: 5 PID: 97 Comm: kworker/5:1 Not tainted 4.16.0-300.fc28.x86_64 #1
Hardware name: To Be Filled By O.E.M. To Be Filled By O.E.M./X370 Pro4, BIOS P4.50 01/24/2018
Workqueue: events free_work
RIP: 0010:__vunmap+0x66/0xb0
RSP: 0018:ffffb58682383e70 EFLAGS: 00010246
RAX: 0000000000000067 RBX: ffffffffc034b000 RCX: 00000000fffffff0
RDX: 0000000000008000 RSI: 00000000fffffff0 RDI: 0000000000000000
RBP: ffff9a97c6d40500 R08: 0000000000000008 R09: ffff9a97cd9580d8
R10: ffffffffaf37c3e0 R11: ffff9a97ded5f944 R12: 0000000000000001
R13: 0000000000000000 R14: ffff9a97c85e5200 R15: ffff9a97ded5d7d0
FS:  0000000000000000(0000) GS:ffff9a97ded40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f8b1b7da370 CR3: 000000040643c000 CR4: 00000000003406e0
Call Trace:
 free_work+0x21/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x22/0x40
Code: 74 2f 48 8b 3f 48 85 ff 74 21 31 db 31 f6 83 c3 01 e8 9f 3d fb ff 3b 5d 28 73 12 48 8b 45 20 48 63 d3 48 8b 3c d0 48 85 ff 75 e1 <0f> 0b 48 8b 7d 20 e8 1f 23 fd ff 5b 48 89 ef 5d 41 5c e9 e3 53 
RIP: __vunmap+0x66/0xb0 RSP: ffffb58682383e70

Comment 1 shirokuro005 2018-04-08 06:01:28 UTC
Created attachment 1418779 [details]
File: dmesg

Comment 2 hugo borges 2018-06-26 14:56:01 UTC
Description of problem:
Eu reiniciei o computador

Version-Release number of selected component:
kernel-core-4.17.2-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=/vmlinuz-4.17.2-200.fc28.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet LANG=pt_BR.UTF-8
crash_function: free_work
kernel:         4.17.2-200.fc28.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
kernel BUG at mm/vmalloc.c:1538!
invalid opcode: 0000 [#1] SMP NOPTI
Modules linked in: amdkfd amd_iommu_v2 amdgpu chash i2c_algo_bit gpu_sched drm_kms_helper ttm drm crc32c_intel r8169 mii
CPU: 3 PID: 80 Comm: kworker/3:1 Not tainted 4.17.2-200.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. AB350-Gaming/AB350-Gaming-CF, BIOS F23d 04/17/2018
Workqueue: events free_work
RIP: 0010:__vunmap+0x66/0xb0
RSP: 0018:ffffb4b74118be70 EFLAGS: 00010246
RAX: 0000000000000069 RBX: ffffffffc05bc000 RCX: 00000000fffffff0
RDX: 0000000000008000 RSI: 00000000fffffff0 RDI: 0000000000000000
RBP: ffff9a6010215d00 R08: 0000000000000008 R09: ffff9a6016b29f98
R10: ffffffff8e387820 R11: ffff9a601ecdfae8 R12: 0000000000000001
R13: 0000000000000000 R14: ffff9a6015458480 R15: ffff9a601ecdd870
FS:  0000000000000000(0000) GS:ffff9a601ecc0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000555c5e97d668 CR3: 00000002102a8000 CR4: 00000000003406e0
Call Trace:
 free_work+0x21/0x30
 process_one_work+0x187/0x340
 worker_thread+0x2e/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x22/0x40
Code: 74 2f 48 8b 3f 48 85 ff 74 21 31 db 31 f6 83 c3 01 e8 ff 27 fb ff 3b 5d 28 73 12 48 8b 45 20 48 63 d3 48 8b 3c d0 48 85 ff 75 e1 <0f> 0b 48 8b 7d 20 e8 7f 12 fd ff 5b 48 89 ef 5d 41 5c e9 23 6b 
RIP: __vunmap+0x66/0xb0 RSP: ffffb4b74118be70

Comment 3 Justin M. Forbes 2018-07-23 15:07:45 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 4 Justin M. Forbes 2018-08-29 15:13:12 UTC
*********** MASS BUG UPDATE **************
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 5 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.

Comment 5 gobbledegeek 2018-10-28 09:36:00 UTC
Description of problem:
Boot time crash

Version-Release number of selected component:
kernel-core-4.18.16-200.fc28

Additional info:
reporter:       libreport-2.9.5
cmdline:        BOOT_IMAGE=//vmlinuz-4.18.16-200.fc28.x86_64 root=UUID=98b6726d-7dd6-4b40-a854-0ee7908b4aa3 ro resume=UUID=c99e4dbe-a9bd-4a73-b035-858c38e2a273 LANG=en_IN.UTF-8 nodmraid amd_iommu_intr=vapic
crash_function: free_work
kernel:         4.18.16-200.fc28.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
kernel BUG at mm/vmalloc.c:1525!
invalid opcode: 0000 [#1] SMP NOPTI
CPU: 7 PID: 55 Comm: kworker/7:0 Not tainted 4.18.16-200.fc28.x86_64 #1
Hardware name: Gigabyte Technology Co., Ltd. AB350M-D3H/AB350M-D3H-CF, BIOS F23 08/08/2018
Workqueue: events free_work
RIP: 0010:__vunmap+0x6f/0xb0
Code: 2f 48 8b 3f 48 85 ff 74 21 31 db 31 f6 83 c3 01 e8 16 32 fb ff 3b 5d 28 73 12 48 8b 55 20 48 63 c3 48 8b 3c c2 48 85 ff 75 e1 <0f> 0b 48 8b 7d 20 e8 06 14 fd ff 5b 48 89 ef 5d 41 5c e9 4a 6f 02 
RSP: 0018:ffffb07e81b83e70 EFLAGS: 00010246
RAX: 0000000000000073 RBX: ffffffffc0711000 RCX: 00000000fffffff0
RDX: 0000000000008000 RSI: 00000000fffffff0 RDI: 0000000000000000
RBP: ffff8c263724cb40 R08: 0000000000000008 R09: 000073746e657665
R10: ffffffff9838aae0 R11: ffff8c26403dfce8 R12: 0000000000000001
R13: 0000000000000000 R14: ffff8c263feaa540 R15: ffff8c26403dd8d0
FS:  0000000000000000(0000) GS:ffff8c26403c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ffd620d9d38 CR3: 0000000375834000 CR4: 00000000003406e0
Call Trace:
 free_work+0x21/0x30
 process_one_work+0x1a1/0x350
 worker_thread+0x30/0x380
 ? pwq_unbound_release_workfn+0xd0/0xd0
 kthread+0x112/0x130
 ? kthread_create_worker_on_cpu+0x70/0x70
 ret_from_fork+0x22/0x40
Modules linked in: btrfs amdkfd libcrc32c xor zstd_decompress zstd_compress amd_iommu_v2 xxhash amdgpu hid_logitech_hidpp chash gpu_sched drm_kms_helper crc32c_intel ttm uas serio_raw r8169 raid6_pq drm usb_storage igb dca mii i2c_algo_bit hid_logitech_dj


Note You need to log in before you can comment on or make changes to this bug.